.ProductPage-body :last-child {
  margin-bottom: 0;
}

.Panel {
  visibility: hidden;
  position: relative;
  z-index: 18000000;
  transition: visibility 0s 0.5s;
}

.Panel.is-active {
  visibility: visible;
  transition: visibility 0s 0s;
}

.Panel.is-active > .Panel-overlay {
  opacity: 1;
  transition-delay: 0;
}

.Panel-overlay {
  opacity: 0;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 9999;
  background-color: rgba(0, 0, 0, 0.75);
  transition: opacity 0.25s 50ms;
}

.ProductPage-body :last-child {
  margin-bottom: 0;
}

.Panel-inner {
  position: fixed;
  top: 50%;
  left: 50%;
  z-index: 9999;
  width: 100%;
  max-width: 700px;
  overflow-y: auto;
  background-color: #fff;
  box-shadow: -6px 0 20px rgba(0, 0, 0, 0.25);
  max-height: 70vh;
  transform: translate(-50%, -50%);
  padding: 40px;
  background: #dbd5cd !important;
}
.Panel-inner .Panel-body {
  background: #fff;
  padding: 30px;
}

.Change_Metal {
  display: flex;
  align-items: center;
  background: #f5f5f5;
  border: 1px solid #eee;
  justify-content: center;
  padding: 4px 1px;
  height: 25px;
}

.overflowhidden {
  overflow: hidden;
}

.Change_Metal .metaltype-all {
  width: 12px !important;
  height: 12px !important;
  display: none;
}

#modifyMetal, .modifycarat, .modifyringsize, .modifyDiamondQuality, .modifyringsize2, .modifyringsize1 {
  cursor: pointer;
  font-size: 12px !important;
  color: #777;
  letter-spacing: 1px;
  width: 100%;
  text-align: center;
}

.bg-ring-size {
  background: #f5f5f5;
  padding: 3px 8px;
  cursor: pointer;
}

.modifyringsize2 {
  padding: 0 5px;
}

.Panel-close {
  position: fixed;
  top: 0px;
  right: 12px;
  z-index: 1;
  border: 0;
  outline: 0 !important;
  transition: color 0.12s;
  background: transparent;
}

.ProductPage-body :last-child {
  margin-bottom: 0;
}

.Heading--1 {
  font-size: 20px;
  margin: 0 !important;
}

.u-marginBmd {
  margin-bottom: 24px !important;
}

.u-marginBxs {
  margin-bottom: 15px !important;
}

.MakingChoicesProducts-list {
  margin: 0;
  padding: 0;
  list-style: none;
}

.ProductSelectPrice .RadioButton-input:checked + .RadioButton-label, .ProductSelectPrice .RadioButton-input:checked + .RadioButton-label:after {
  border-color: #4a727e;
}

.MakingChoicesProducts:not(.MakingChoicesProducts--quality) .ProductSelectPrice .RadioButton-label {
  flex-wrap: nowrap !important;
}

.ProductSelectPrice .RadioButton-label {
  display: flex;
  align-items: center;
}

.ProductSelectPrice .RadioButton-label {
  padding: 8px 12px 8px 48px;
  width: 100%;
  overflow: hidden;
  border: 1px solid #dedede;
  border-radius: 5px;
  box-sizing: border-box;
}

.RadioButton-input:checked ~ .RadioButton-label:before {
  border-color: #4a727e;
  background-color: #5b8592;
  box-shadow: inset 0 0 0 3px #fff;
}

.ProductSelectPrice .RadioButton-label:before {
  top: 50%;
  left: 11px;
  z-index: 2;
  transform: translateY(-50%);
}

.RadioButton-label:before {
  top: 2px;
  border: 1px solid #ccc;
  transition: border-color 0.12s, background-color 0.12s, box-shadow 0.12s;
}

.RadioButton-label:before {
  content: "";
  position: absolute;
  top: 0.25em;
  left: 0;
  width: 1em;
  height: 1em;
  border: 1px solid;
  border-radius: 100%;
}

.ProductSelectPrice-imageWrapper {
  margin: -8px 12px -8px -12px;
  border-right: 1px solid #ececec;
}

.ProductSelectPrice-image {
  display: block;
  max-width: 80px;
}

.ProductSelectPrice-infoWrapper {
  display: flex;
  align-items: center;
  width: 100%;
}

.ProductSelectPrice-infoWrapper .ProductSelectPrice-info--left {
  flex: 1 1 0;
}

.ProductSelectPrice-infoWrapper.metal-data ul:first-child, .ProductSelectPrice-infoWrapper.metal-data ul:last-child {
  flex: 2;
}

.ProductSelectPrice-infoWrapper.metal-data .ProductSelectPrice-info--right {
  flex: 0;
}

.ProductSelectPrice-info {
  list-style: none;
  margin-bottom: 0;
  padding-left: 0;
}

.ProductSelectPrice-infoWrapper {
  align-self: center;
}

.ProductSelectPrice-info--right {
  text-align: right;
}

.u-marginR2xs {
  margin-right: 6px !important;
}

.ProductPage-body :last-child {
  margin-bottom: 0;
}

.u-xsFontSize {
  font-size: 12px !important;
}

.Checkbox-input, .FilterShape > .Checkbox-input, .fluxform .fluxform_multiselectfield, .RadioButton-input, .u-hiddenVisually {
  clip: rect(1px, 1px, 1px, 1px) !important;
  position: absolute !important;
  padding: 0 !important;
  width: 1px !important;
  height: 1px !important;
  overflow: hidden !important;
  border: 0 !important;
}

.RadioButton-input:checked ~ .RadioButton-label:before {
  border-color: #4a727e;
  background-color: #5b8592;
  box-shadow: inset 0 0 0 3px #fff;
}

.RadioButton {
  position: relative;
  margin-bottom: 3px;
}

.Form-item {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-bottom: 24px;
}

#Checkout #OrderSummary #OrderResults .selected-country-sizes a {
  float: none;
  font-size: 15px;
  margin: 0;
  text-decoration: none;
}

#Checkout #OrderSummary #OrderResults li select.select_region {
  width: 160px !important;
  height: 27px;
  border: 1px solid #111;
  font-size: 13px;
  letter-spacing: 1px;
  font-weight: bold;
  color: #000;
}

.RadioButton-label {
  cursor: pointer;
  position: relative;
}

.mr-25 {
  margin-top: 25px;
}

.ProductPage-body :last-child {
  margin-bottom: 0;
}

.ProductPage-usp {
  display: flex;
  flex-flow: row wrap;
  margin-top: 18px;
  margin-left: -48px;
}

.ProductPage-usp > .Usp {
  padding-top: 6px;
  padding-left: 48px;
}

.u-smFontSize {
  font-size: 14px !important;
}

.Usp-list {
  margin: 0;
  padding: 0;
  list-style: none;
}

.u-marginR2xs {
  margin-right: 6px !important;
  display: inline-block;
  width: 12px;
  vertical-align: middle;
}

.u-marginR2xs svg {
  fill: #d2b595;
}

.u-marginR2xs.check_blue svg {
  fill: #d2b595;
}

.Usp--smGutter .Usp-item + .Usp-item {
  margin-top: 6px;
}

.view-detail-product {
  color: #3085c7 !important;
}

.review-top {
  border-right: 1px solid #3085c7;
  padding-right: 10px;
  margin-right: 10px;
  display: flex;
  justify-content: flex-end;
}

.top-gallary-reviews {
  width: 100%;
  margin-bottom: 5px;
}

.top-gallary {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.product-viewer {
  position: relative;
}

.product-viewer .prod-video {
  width: 100% !important;
  max-width: 700px !important;
}

.product-viewer #display_product_image {
  width: 100% !important;
  max-width: 700px !important;
  margin-top: -21px;
}

.zoom {
  display: inline-block;
  position: relative;
  width: 100%;
  margin: auto;
}

.zoomImg {
  cursor: hand;
}

/* magnifying glass icon */
.zoom:after {
  content: "";
  display: block;
  width: 33px;
  height: 33px;
  position: absolute;
  top: 0;
  right: 0;
}

.zoom img {
  display: block;
}

.zoomImg {
  cursor: zoom-in;
}

.zoom img::-moz-selection {
  background-color: transparent;
}

.zoom img::selection {
  background-color: transparent;
}

.detailed-media-main {
  position: relative;
  border: 1px solid #eee;
  margin: 10px 0;
}

.hidden-section {
  visibility: hidden;
}

.link-icon {
  font-size: 25px !important;
  margin: 0px 9px;
}

.actionBtn {
  display: inline-block;
}

.grid-display {
  display: grid;
  grid-template-columns: 61% 36.8%;
  margin-bottom: 20px;
}

.d-flx {
  display: flex;
  align-items: center;
}

.metal-title {
  margin-left: 7px;
  text-transform: uppercase;
}

.RingSize {
  margin-top: 5px;
}

.ProductConfig-labelExtra {
  color: #b8b8b8;
  font-size: 10px;
  white-space: nowrap;
  text-transform: lowercase;
}

.WideBody span.cart-title-main {
  font-size: 14px;
  color: #000;
  display: flex;
  align-items: center;
  margin-left: 40px;
}

span.carat-title {
  font-size: 8px;
}

#selectedJewelryMetal .metal-color {
  margin-left: 0;
}

.carat-size:before {
  top: -3px;
}

.cart-title-main.ring_size:before {
  background-position: -2px 1579px;
  height: 34px;
  width: 34px;
  top: -3px !important;
}

.select_region {
  width: 250px !important;
  height: 40px;
  border: 1px solid #cdcdcd;
  font-size: 13px;
  letter-spacing: 1px;
  font-weight: bold;
  color: #777;
  padding: 10px;
  margin: 30px 0;
  border-left: 2px solid #d2b595;
}

.ring_size_table tr td:not(:last-child) {
  text-align: center;
}

.ring_size_table tr td:first-child {
  width: 20%;
}

.ring_size_table tbody tr td:last-child {
  width: 40%;
  padding-left: 10px;
}

tr.selected-country-sizes {
  margin: 9px 10px;
}

.ring_size_table tbody tr td {
  height: 20px;
  cursor: pointer;
  padding: 10px;
  border-radius: 50%;
  color: #555;
  width: 25px;
  border: 1px solid #d3d3d3;
}

.selected-country-sizes:hover, .selected-country-sizes2:hover {
  background-color: #f1f1f1;
}

.selected-country-sizes.is-selected, .selected-country-sizes2.is-selected {
  background-color: #d2b595;
  border-radius: 50%;
}

.ring_size_table tr th {
  position: sticky;
  top: 0;
  background: white;
}

.ring_size_table {
  width: 100%;
  border-collapse: inherit;
}
.ring_size_table tbody {
  display: flex;
  overflow: hidden;
  flex-wrap: wrap;
}

tr.selected-country-sizes td:not(:nth-child(3)), .ring_size_table tr th:not(:nth-child(3)) {
  display: none;
}

.table-wrap {
  max-height: 81vh;
  overflow-y: auto;
  overflow-x: hidden;
}

.table-wrap::-webkit-scrollbar {
  width: 4px;
}

.table-wrap::-webkit-scrollbar-track {
  background: #555;
}

.table-wrap::-webkit-scrollbar-thumb {
  background: #000;
  height: 15px;
}

.selected-country-sizes.is-selected td, .selected-country-sizes2.is-selected td {
  color: #fff;
}

.Usp--smGutter ul li {
  height: 19px;
}

.fb-like.fb_iframe_widget, .pintrest {
  display: none;
}

.yotpo-bottomline .yotpo-icon-star.five-rating {
  font-size: 13.5px !important;
}

.Shares {
  margin-right: 6px;
}

.d-flex-end {
  display: flex;
  justify-content: flex-end;
}

.FunnelRingSizeContainer {
  margin-left: 15px;
  margin-right: 15px;
  line-height: 12px;
}

.addInscription {
  margin-left: 15px;
}

.cart-title-main.de-color::before {
  background-position: -116px 47% !important;
}

.align-rs-btn {
  margin-left: 15px;
}

.align-rs-btn-men {
  padding: 8px !important;
}

.ring-size-outer-wrap {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: auto;
}

.ring-size-outer-wrap .modifyRingSize {
  width: auto !important;
}

.rs-men {
  margin-top: 5px;
}

.rs-women {
  min-width: 60px;
  display: inline-block;
}

.rs-men {
  min-width: 90px;
  display: inline-block;
}

span.modifyRingSize {
  font-size: 12px;
  cursor: pointer;
}

.ring-details-wrap-cdq {
  flex-wrap: wrap !important;
}

.ring-details-inner-cdq {
  width: 100%;
  display: block;
}

.ring-details-inner-cdq.rs-prod {
  padding-left: 40px;
}

@media (max-width: 1024px) {
  .ring-details-inner {
    width: 100%;
    display: block;
  }

  .Change_Metal {
    height: 30px;
  }

  .ring-details-inner-cdq.rs-prod {
    padding-left: 0px;
    padding-top: 0px;
  }

  .WideBody span.cart-title-main {
    max-width: 200px;
  }

  .ring-details-wrap {
    align-items: flex-start;
    align-items: baseline;
  }
}
@media (max-width: 575px) {
  #panel-ring-size .Panel-inner {
    padding: 20px !important;
  }
  #panel-ring-size .Panel-inner .panel-body {
    padding: 0px !important;
  }
  #panel-ring-size .Panel-inner .panel-body .select_region {
    margin: 10px 0 !important;
  }
  #panel-ring-size .Panel-inner .Heading--1 {
    padding: 10px 0;
    text-align: center;
  }

  .cart-title-main {
    align-items: baseline !important;
  }
  .cart-title-main .ring-details-inner.rs-prod {
    width: auto;
  }
}
@media (max-width: 480px) {
  .RingSizeContainer .ring-details-wrap {
    align-items: baseline;
    /* .ring-details-inner{
         span{
             &:first-child{
                 width: auto !important;
             }
         }
     }*/
  }

  .change-r-size {
    display: flex;
    align-items: baseline;
    gap: 20px;
  }
  .change-r-size .carat-title {
    white-space: nowrap;
  }
}
.ringwidthouter {
  display: flex;
  justify-content: flex-start;
  text-align: center;
  gap: 10px;
  align-items: center;
  flex-wrap: wrap;
  width: 100%;
  margin: 20px 0;
}
.ringwidthouter .ringwidth_inner {
  border: 1px solid #d3d3d3;
  border-radius: 50%;
  line-height: 17px;
  padding: 11px;
  color: #555;
  cursor: pointer;
}
.ringwidthouter .ringwidth_inner.selected {
  background-color: #d2b595;
  color: white;
  font-weight: 500;
}

.Panel .Panel-inner {
  background-color: #fff !important;
  bottom: 0;
  box-shadow: -6px 0 20px rgba(0, 0, 0, 0.25);
  max-width: 500px;
  overflow-y: auto;
  padding: 5px;
  position: fixed;
  right: 0;
  top: 0;
  transform: translate3d(120%, 0, 0);
  transition: transform 0.5s 50ms;
  width: 100%;
  left: unset !important;
  max-height: 100vh;
  z-index: 9999;
}
@media (max-width: 767px) {
  .Panel .Panel-inner .Panel-body {
    padding: 30px 10px;
  }
}
.Panel .Panel-inner .Panel-close {
  background: #ccc;
  width: 25px;
  height: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 3px;
  top: 10px;
}
.Panel .Panel-inner .Panel-close span {
  font-size: 16px !important;
}
.Panel .Panel-inner .ring_size_table .selected-country-sizes.is-selected {
  border-radius: unset !important;
  background: transparent !important;
}
.Panel .Panel-inner .ring_size_table .selected-country-sizes.is-selected td {
  background-color: #d2b595;
}
.Panel .Panel-inner .ring_size_table .selected-country-sizes.is-selected td a {
  font-weight: 500 !important;
  color: white;
}
.Panel .Panel-inner .ring_size_table tbody tr:hover {
  background: transparent;
}
.Panel .Panel-inner .ring_size_table tbody tr td {
  border-radius: 7px;
  transition: all 0.1s ease-in;
}
.Panel .Panel-inner .ring_size_table tbody tr td:hover {
  background-color: #dbdbdb;
}
.Panel .Panel-inner .ringwidthouter .ringwidth_inner {
  border-radius: 7px !important;
}

.Panel.is-active {
  transition: visibility 0s 0s;
  visibility: visible;
}
.Panel.is-active .Panel-inner {
  transform: translateZ(0);
  transition-delay: 0;
}
